Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class IXHtmlEditorKit

    java.lang.Object
      javax.swing.text.EditorKit
          javax.swing.text.DefaultEditorKit
              javax.swing.text.StyledEditorKit
                  javax.swing.text.html.HTMLEditorKit
                      ix.iface.util.IXHtmlEditorKit

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, javax.accessibility.Accessible

Direct Known Subclasses:
  HtmlTableEditorPane.TableEditorKit

    public class IXHtmlEditorKit

extends javax.swing.text.html.HTMLEditorKit

An HTMLEditorKit customised for use in I-X applications. At present, it just ensures that a nicer default font is used.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.text.html.HTMLEditorKit
`javax.swing.text.html.HTMLEditorKit.HTMLFactory, javax.swing.text.html.HTMLEditorKit.HTMLTextAction, javax.swing.text.html.HTMLEditorKit.InsertHTMLTextAction, javax.swing.text.html.HTMLEditorKit.LinkController, javax.swing.text.html.HTMLEditorKit.Parser, javax.swing.text.html.HTMLEditorKit.ParserCallback`

Nested classes/interfaces inherited from class javax.swing.text.StyledEditorKit
`javax.swing.text.StyledEditorKit.AlignmentAction, javax.swing.text.StyledEditorKit.BoldAction, javax.swing.text.StyledEditorKit.FontFamilyAction, javax.swing.text.StyledEditorKit.FontSizeAction, javax.swing.text.StyledEditorKit.ForegroundAction, javax.swing.text.StyledEditorKit.ItalicAction, javax.swing.text.StyledEditorKit.StyledTextAction, javax.swing.text.StyledEditorKit.UnderlineAction`

Nested classes/interfaces inherited from class javax.swing.text.DefaultEditorKit
`javax.swing.text.DefaultEditorKit.BeepAction, javax.swing.text.DefaultEditorKit.CopyAction, javax.swing.text.DefaultEditorKit.CutAction, javax.swing.text.DefaultEditorKit.DefaultKeyTypedAction, javax.swing.text.DefaultEditorKit.InsertBreakAction, javax.swing.text.DefaultEditorKit.InsertContentAction, javax.swing.text.DefaultEditorKit.InsertTabAction, javax.swing.text.DefaultEditorKit.PasteAction`

Field Summary
`protected javax.swing.text.html.StyleSheet` | `ixStyleSheet`

Fields inherited from class javax.swing.text.html.HTMLEditorKit
`BOLD_ACTION, COLOR_ACTION, DEFAULT_CSS, FONT_CHANGE_BIGGER, FONT_CHANGE_SMALLER, IMG_ALIGN_BOTTOM, IMG_ALIGN_MIDDLE, IMG_ALIGN_TOP, IMG_BORDER, ITALIC_ACTION, LOGICAL_STYLE_ACTION, PARA_INDENT_LEFT, PARA_INDENT_RIGHT`

Fields inherited from class javax.swing.text.DefaultEditorKit
`backwardAction, beepAction, beginAction, beginLineAction, beginParagraphAction, beginWordAction, copyAction, cutAction, defaultKeyTypedAction, deleteNextCharAction, deletePrevCharAction, downAction, endAction, endLineAction, EndOfLineStringProperty, endParagraphAction, endWordAction, forwardAction, insertBreakAction, insertContentAction, insertTabAction, nextWordAction, pageDownAction, pageUpAction, pasteAction, previousWordAction, readOnlyAction, selectAllAction, selectionBackwardAction, selectionBeginAction, selectionBeginLineAction, selectionBeginParagraphAction, selectionBeginWordAction, selectionDownAction, selectionEndAction, selectionEndLineAction, selectionEndParagraphAction, selectionEndWordAction, selectionForwardAction, selectionNextWordAction, selectionPreviousWordAction, selectionUpAction, selectLineAction, selectParagraphAction, selectWordAction, upAction, writableAction`

Constructor Summary
`IXHtmlEditorKit()`

Method Summary
`javax.swing.text.html.StyleSheet` | `getStyleSheet()`
`void` | `setStyleSheetFontFamily(java.lang.String family)` Sets the font-family for the "body" element.

Methods inherited from class javax.swing.text.html.HTMLEditorKit
`clone, createDefaultDocument, createInputAttributes, deinstall, getAccessibleContext, getActions, getContentType, getDefaultCursor, getInputAttributes, getLinkCursor, getParser, getViewFactory, insertHTML, install, isAutoFormSubmission, read, setAutoFormSubmission, setDefaultCursor, setLinkCursor, setStyleSheet, write`

Methods inherited from class javax.swing.text.StyledEditorKit
`getCharacterAttributeRun`

Methods inherited from class javax.swing.text.DefaultEditorKit
`createCaret, read, write`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ixStyleSheet

    protected javax.swing.text.html.StyleSheet ixStyleSheet

Constructor Detail

### IXHtmlEditorKit

    public IXHtmlEditorKit()

Method Detail

### getStyleSheet

    public javax.swing.text.html.StyleSheet getStyleSheet()

  Overrides:
    `getStyleSheet` in class `javax.swing.text.html.HTMLEditorKit`

### setStyleSheetFontFamily

    public void setStyleSheetFontFamily(java.lang.String family)

  Sets the font-family for the "body" element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD